Package org.apache.sling.testing.mock.osgi.context

# Class AbstractContextPlugin<T extends OsgiContextImpl>

java.lang.Object
org.apache.sling.testing.mock.osgi.context.AbstractContextPlugin<T>

Type Parameters:
  `T` - Context

All Implemented Interfaces:
  `ContextPlugin<T>`

@ConsumerType public abstract class AbstractContextPlugin<T extends OsgiContextImpl> extends Object implements ContextPlugin<T>
Default implementation of `ContextPlugin`.

## Constructor Summary

Constructors
Constructor
Description
`AbstractContextPlugin()`

## Method Summary

Modifier and Type
Method
Description
`void`
`afterSetUp(T context)`
Is executed after the built-in setup rules are executed.
`void`
`afterTearDown(T context)`
Is executed after the built-in teardown rules are executed.
`void`
`beforeSetUp(T context)`
Is executed before the built-in setup rules are executed.
`void`
`beforeTearDown(T context)`
Is executed before the built-in teardown rules are executed.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AbstractContextPlugin

public AbstractContextPlugin()

## Method Details

### beforeSetUp

public void beforeSetUp(@NotNull T context) throws Exception
Description copied from interface: `ContextPlugin`
Is executed before the built-in setup rules are executed.

Specified by:
  `beforeSetUp` in interface `ContextPlugin<T extends OsgiContextImpl>`
Parameters:
  `context` - OSGi context
Throws:
  `Exception` - exception

### afterSetUp

public void afterSetUp(@NotNull T context) throws Exception
Description copied from interface: `ContextPlugin`
Is executed after the built-in setup rules are executed.

Specified by:
  `afterSetUp` in interface `ContextPlugin<T extends OsgiContextImpl>`
Parameters:
  `context` - OSGi context
Throws:
  `Exception` - exception

### beforeTearDown

public void beforeTearDown(@NotNull T context) throws Exception
Description copied from interface: `ContextPlugin`
Is executed before the built-in teardown rules are executed.

Specified by:
  `beforeTearDown` in interface `ContextPlugin<T extends OsgiContextImpl>`
Parameters:
  `context` - OSGi context
Throws:
  `Exception` - exception

### afterTearDown

public void afterTearDown(@NotNull T context) throws Exception
Description copied from interface: `ContextPlugin`
Is executed after the built-in teardown rules are executed.

Specified by:
  `afterTearDown` in interface `ContextPlugin<T extends OsgiContextImpl>`
Parameters:
  `context` - OSGi context
Throws:
  `Exception` - exception